URL structure
{userId} is the ID of a Covata user account.
Supported methods and overview
-
PUT- either:-
enables or disables two-factor authentication (2FA) on a Safe Share administrator account (specified by
userId)
OR -
reconfigures 2FA for a Covata user account specified by
userId, which is either:- a Safe Share administrator or
- a member of any organization.
-
enables or disables two-factor authentication (2FA) on a Safe Share administrator account (specified by
Detailed description
This API endpoint serves a number of purposes:-
Enables or disables 2FA on a Safe Share administrator account (specified by
userId). -
Reconfigures 2FA for a Covata user account (specified by
userId) which is either:- a Safe Share administrator (by another Safe Share administrator access token is submitted in the request to this endpoint), or
- a member of an organization (by an Organization administrator whose access token is submitted in the request to this endpoint).
For more information about retrieving Covata user account IDs, see <access-service>/api/v1/users and <access-service>/api/v1/organisations/{orgGroupId}/users.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Safe Share Administrator’s and Organization Administrator’s Guides):- Safe Share administrator
- Organization administrator - when this user is a member of the same organization that the Covata user (specified by
{userId}in the request’s URL) is also a member of.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
Required parameters
The following parameter must be sent in the body of the PUT request, each as individual member of a JSON object:-
mfaEnabled ( for Safe Share administrator users only ) - A boolean value of
trueto enable 2FA on the Covata user account represented byuserIdin the request’s URL orfalseto disable 2FA on this account. -
generateNewAuthenticatorKey - A boolean value of
trueto reconfigure 2FA for the Covata user represented byuserIdin the URL.
Example (request to enable 2FA on a Covata user account):
Example (request to reconfigure 2FA on a user account):
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
